Changes

Jump to navigation Jump to search
615 bytes removed ,  12:35, 10 August 2015
Line 60: Line 60:     
===List of Python Packages===
 
===List of Python Packages===
  −
'''Psychopy Essential Packages'''
  −
  −
Click [http://www.psychopy.org/installation.html here] for more information
  −
{| class="wikitable"
  −
|-
  −
! Python Library 
  −
! Version
  −
  −
|-
  −
| numpy || version 0.9.6 or greater
  −
|-
  −
| scipy || version 0.4.8 or greater
  −
|-
  −
| pyglet || version 1.1.4, not version 1.2
  −
|-
  −
| wxPython || version 2.8.10 or 2.8.11, not 2.9
  −
|-
  −
| Python Imaging Library || sudo easy_install PIL
  −
|-
  −
| matplotlib || for plotting and fast polygon routines
  −
|-
  −
| lxml || needed for loading/saving builder experiment files
  −
|-
  −
| openpyxl || for loading params from xlsx files
  −
|-
  −
| pyo || sound, version 0.6.2 or higher, compile with —-no-messages
  −
|}
  −
  −
'''Installed packages'''
  −
   
{| class="wikitable"
 
{| class="wikitable"
 
|-
 
|-
Line 98: Line 67:  
! Installer Type
 
! Installer Type
 
! URL
 
! URL
   
|-
 
|-
 
| PIL || Python Image Library || style="background-color:#9F9;" | Yes || Package Manager || http://www.pythonware.com/products/pil/   
 
| PIL || Python Image Library || style="background-color:#9F9;" | Yes || Package Manager || http://www.pythonware.com/products/pil/   
Line 138: Line 106:  
| Psychopy || Psychology Software in Python || style="background-color:#9F9;" | Yes  || Package Manager || http://www.psychopy.org
 
| Psychopy || Psychology Software in Python || style="background-color:#9F9;" | Yes  || Package Manager || http://www.psychopy.org
 
|}
 
|}
 +
 +
For Psychopy dependancies, check the [[Psychopy]] page.
    
=== Setup-Tools ===
 
=== Setup-Tools ===

Navigation menu